Package org.apache.synapse.securevault

## Class SecurityConstants

- java.lang.Object
- - org.apache.synapse.securevault.SecurityConstants

-     public class SecurityConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NS_SEPARATOR` |
    `static String` | `PASSWORD_MANAGER_CAP` |
    `static String` | `PASSWORD_MANAGER_SIMPLE` |
    `static String` | `PASSWORD_PROVIDER_CAP` |
    `static String` | `PASSWORD_PROVIDER_SIMPLE` |
    `static String` | `PROP_PASSWORD` |
    `static String` | `PROP_PASSWORD_PROMPT` |
    `static String` | `PROP_SECRET_CALLBACK_HANDLER` |
    `static String` | `PROP_SECRET_MANAGER_ADMIN_MBEAN` |
    `static String` | `PROP_SECURITY_ADMIN_SERVICES` |
    `static String` | `PROP_USER_NAME` |
    `static String` | `PROTECTED_TOKENS_CAP` |
    `static String` | `PROTECTED_TOKENS_SIMPLE` |
    `static String` | `SECRET_PROVIDER` |
    `static String` | `SECURE_VAULT_ALIAS` |
    `static String` | `SECURE_VAULT_ATTRIBUTE` |
    `static String` | `SECURE_VAULT_CAP` |
    `static String` | `SECURE_VAULT_NS` |
    `static String` | `SECURE_VAULT_SIMPLE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_USER_NAME

          public static final String PROP_USER_NAME

      See Also:
        Constant Field Values

    - #### PROP_PASSWORD

          public static final String PROP_PASSWORD

      See Also:
        Constant Field Values

    - #### PROP_PASSWORD_PROMPT

          public static final String PROP_PASSWORD_PROMPT

      See Also:
        Constant Field Values

    - #### PROP_SECRET_CALLBACK_HANDLER

          public static final String PROP_SECRET_CALLBACK_HANDLER

      See Also:
        Constant Field Values

    - #### PROP_SECURITY_ADMIN_SERVICES

          public static final String PROP_SECURITY_ADMIN_SERVICES

      See Also:
        Constant Field Values

    - #### PROP_SECRET_MANAGER_ADMIN_MBEAN

          public static final String PROP_SECRET_MANAGER_ADMIN_MBEAN

      See Also:
        Constant Field Values

    - #### PASSWORD_MANAGER_SIMPLE

          public static final String PASSWORD_MANAGER_SIMPLE

      See Also:
        Constant Field Values

    - #### PASSWORD_PROVIDER_SIMPLE

          public static final String PASSWORD_PROVIDER_SIMPLE

      See Also:
        Constant Field Values

    - #### SECRET_PROVIDER

          public static final String SECRET_PROVIDER

      See Also:
        Constant Field Values

    - #### PROTECTED_TOKENS_SIMPLE

          public static final String PROTECTED_TOKENS_SIMPLE

      See Also:
        Constant Field Values

    - #### PASSWORD_MANAGER_CAP

          public static final String PASSWORD_MANAGER_CAP

      See Also:
        Constant Field Values

    - #### PASSWORD_PROVIDER_CAP

          public static final String PASSWORD_PROVIDER_CAP

      See Also:
        Constant Field Values

    - #### PROTECTED_TOKENS_CAP

          public static final String PROTECTED_TOKENS_CAP

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_NS

          public static final String SECURE_VAULT_NS

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_SIMPLE

          public static final String SECURE_VAULT_SIMPLE

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_CAP

          public static final String SECURE_VAULT_CAP

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_ATTRIBUTE

          public static final String SECURE_VAULT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### SECURE_VAULT_ALIAS

          public static final String SECURE_VAULT_ALIAS

      See Also:
        Constant Field Values

    - #### NS_SEPARATOR

          public static final String NS_SEPARATOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SecurityConstants

          public SecurityConstants()